PrintServiceAttributeEvent (Java Platform SE 8 )
Keywords: javax.print.event.PrintServiceAttributeEvent class
Date: 2026-03-16

javax.print.event

## Class PrintServiceAttributeEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.print.event.PrintEvent
    - - javax.print.event.PrintServiceAttributeEvent

- All Implemented Interfaces:
    Serializable

      public class PrintServiceAttributeEvent
      extends PrintEvent

  Class PrintServiceAttributeEvent encapsulates an event a Print Service instance reports to let the client know of changes in the print service state.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrintServiceAttributeEvent(PrintService source, PrintServiceAttributeSet attributes)` Constructs a PrintServiceAttributeEvent object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PrintServiceAttributeSet` | `getAttributes()` Determine the printing service attributes that changed and their new values.
    `PrintService` | `getPrintService()` Returns the print service.

    - ### Methods inherited from class javax.print.event.PrintEvent

      `toString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PrintServiceAttributeEvent

          public PrintServiceAttributeEvent(PrintService source,
                                            PrintServiceAttributeSet attributes)

      Constructs a PrintServiceAttributeEvent object.
      Parameters:
        `source` - the print job generating this event
        `attributes` - the attribute changes being reported
      Throws:
        `IllegalArgumentException` - if `source` is `null`.

  - ### Method Detail

    - #### getPrintService

          public PrintService getPrintService()

      Returns the print service.
      Returns:
        Print Service object.

    - #### getAttributes

          public PrintServiceAttributeSet getAttributes()

      Determine the printing service attributes that changed and their new values.
      Returns:
        Attributes containing the new values for the service attributes that changed. The returned set may be unmodifiable.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.